<?php
/********************************* PHP-P10 ******************************
 *    P10 uplink class by pk910   (c)2011 pk910                         *
 ************************************************************************
 *                          Version 2 (OOP)                             *
 *                                                                      *
 * PHP-P10 is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with PHP-P10; if not, write to the Free Software Foundation,   *
 * Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.       *
 *                                                                      *
 ************************************************************************
 * 
 *  ModCMD/Binding.class.php
 *
 * a single Binding...
 *
 ************************************************************************
 * 
 * 
 */

class Binding {
	private $bot;
	private $method;
	
	public function __construct($bot, $method) {
		$this->bot = $bot;
		$this->method = $method;
	}
	
	public function trigger($params) {
		call_user_func_array(array($this->bot, $this->method), $params);
	}
	
	public function match($bot, $method) {
		return ($bot === $this->bot && strtolower($this->method) == strtolower($method));
	}
	
}

?>